Bug 245885 - pup crashes when you hit "apply updates"
pup crashes when you hit "apply updates"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-27 02:50 EDT by Ian Laurie
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-10 15:52:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Laurie 2007-06-27 02:50:09 EDT
Description of problem:
pup crashes when you hit "apply updates"

Version-Release number of selected component (if applicable):
pirut-1.2.8-1.fc6

How reproducible:
Always.

Steps to Reproduce:
1. Launch pup.
2. Try to apply updates when pidgin-2.0.2-3.fc6.1.i386 is selected.
3.
  
Actual results:
Crash (unhandled exception".

Expected results:
Should begin to check dependancies.

Additional info:

Component: Software Updater
Summary: TB0d6d4bb3 __init__.py:774:downloadHeader:RepoError: failure:
pidgin-2.0.2-3.fc6.1.i386.rpm from extras: [Errno 256] No more mirrors to try.

Traceback (most recent call last):
  File "/usr/sbin/pup", line 433, in _apply
    self.applyChanges(self.mainwin)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 559, in
applyChanges
    self.checkDeps(mainwin)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 324, in checkDeps
    self.populateTs(keepold=0)
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 150, in populateTs
    self.downloadHeader(txmbr.po)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 774, in
downloadHeader
    raise Errors.RepoError, saved_repo_error
RepoError: failure: pidgin-2.0.2-3.fc6.1.i386.rpm from extras: [Errno 256] No
more mirrors to try.

Local variables in innermost frame:
errors: {}
e: [Errno 2] No such file or directory:
'//var/cache/yum/extras/headers/pidgin-2.0.2-3.fc6.1.i386.hdr'
self: <__main__.PackageUpdater object at 0x86f8a4c>
saved_repo_error: failure: pidgin-2.0.2-3.fc6.1.i386.rpm from extras: [Errno
256] No more mirrors to try.
repo: extras
checkfunc: (<bound method PackageUpdater.verifyHeader of
<__main__.PackageUpdater object at 0x86f8a4c>>,
(<yum.sqlitesack.YumAvailablePackageSqlite object at 0x926662c>, 1), {})
local: //var/cache/yum/extras/headers/pidgin-2.0.2-3.fc6.1.i386.hdr
po: pidgin - 2.0.2-3.fc6.1.i386
Comment 1 Jeremy Katz 2007-06-27 11:53:24 EDT
Is this reproducible? 
Comment 2 Ian Laurie 2007-06-27 19:53:06 EDT
It was 100% reproducible for most of yesterday.  I guess when the update needed
made it to the mirrors late yesterday my time, it eventually worked.  However it
failed at least 10 times with a similar traceback.

I've had similar issues with other updates.  Trial and error allows me to find
the update that's causing the trouble and I de-select it and install what I can.
Then later on, I can install the one causing the trouble.

I think it happens when the mirrors are missing needed files, but it should say
that rather than crashing.  If you want me to do something specific next time
it happens let me know.
Comment 3 Jeremy Katz 2007-08-10 15:52:40 EDT
I've put some improvements to handle some of these cases into CVS.  Please
reopen or file a new bug if you continue to have problems with pirut > 1.3.10
and yum >= 3.2.2

Note You need to log in before you can comment on or make changes to this bug.